#
# $Id: uhttpd.ini 14676 2010-06-03 16:23:36Z vszakats $
#
# ------------------------------------
# Harbour Project source code:
#    uHTTPD (Micro HTTP server) ini file
#
# Copyright 2009 Francesco Saverio Giudice <info / at / fsgiudice.com>
# www - http://harbour-project.org
# ------------------------------------
#
# uHTTPD ini file (defaults are commented)
#
# ------------------------------------

# --- server listen port
#Port = 8082

# --- console display rows
#Console-rows     = 25

# --- console display cols
#Console-cols     = 80

# --- application directory - macro $(APP_DIR) is application folder
#application_root = $(APP_DIR)

# --- document folder - macro $(APP_DIR) will be substitute with application_root
#document_root    = $(APP_DIR)\home

# --- display folder content
#show_indexes     = .f.

# --- default index files
#DirectoryIndex   = index.html index.htm

[THREADS]
# --- how much a thread has to wait a connection before quit
#max_wait  = 60

# --- how many threads have to run always
#start_num = 4
start_num = 10

# --- how many threads can be added to initial threads
#     (over this number server replies with BUSY error)
#max_num   = 20

[LOGFILES]
# --- path for access log
#     $(APP_DIR)     = to refer to application_root path
#access = $(APP_DIR)\logs\access.log

# --- path for error log
#error  = $(APP_DIR)\logs\error.log

[SCRIPTALIASES]
# --- here put script aliases to real path
#     you can use following macros:
#     $(DOCROOT_DIR) = to refer to document_root path
#     $(APP_DIR)     = to refer to application_root path
#     otherwise it will be a full filesystem path
/info   = $(DOCROOT_DIR)/cgi-bin/info.hrb
/cookie = $(DOCROOT_DIR)/cgi-bin/cookie.hrb

[ALIASES]
# --- here put path aliases to real path
#     you can use following macros:
#     $(DOCROOT_DIR) = to refer to document_root path
#     $(APP_DIR)     = to refer to application_root path
#     otherwise it will be a full filesystem path
# example:
#/images = $(APP_DIR)/images

# end

